/*
 * Version: MPL v. 1.1
 *
 * The contents of this file are subject to the MPL License Version
 * 1.1 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/MPL-1.1.txt
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is the FoxLingo.
 *
 * The Initial Developer of the Original Code is
 * Linkular LLC
 *
 * Portions created by the Initial Developer are Copyright (C) 2010
 * the Initial Developer. All Rights Reserved.
 *
 * Contributor(s):
 * */

Foxlingo.Search.Dictionary = function() {
    var pub = {};


    //public functions
    pub.updatePromtSite = function(lang) {
        Foxlingo.session.promtSearchLang = lang;
        pub.updatePromtIcon();
    };

    pub.openPromtSite = function() {
        var searchMenu = document.getElementById("Foxlingo_Combined-Popup");
        var toolbarServiceMenu = document.getElementById("Foxlingo_toolbar-smenu");
        
        if (Foxlingo.session.promtSearchLang) {
            searchMenu.hidePopup();    
            toolbarServiceMenu.hidePopup();
            Foxlingo.openSite(Foxlingo.session.promtSearchLang, 'textbox');
        }
    };
    
    pub.updatePromtIcon = function() {
        var promtIconToolbar = document.getElementById("promticontoolbar");
        var promtIconSearch = document.getElementById("promticonsearch");
        var promtSearchLang = Foxlingo.session.promtSearchLang;
        
        if (!promtSearchLang)
            promtSearchLang = "promtspellchecking";
        
        var image = "chrome://foxlingo/skin/services/" + promtSearchLang + ".png";
        if (promtIconToolbar) 
            promtIconToolbar.setAttribute("image", image);
            
        if (promtIconSearch)
            promtIconSearch.setAttribute("image", image);    
    };
    

    return pub;
}();
